> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/changelogs/version-6/v6-8-7.md).

# Version 6.8.7 Changelog (September 28, 2018)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.8.7

Release Date: September 28, 2018

## Notes

This release of Apryse for Xamarin brings the core PDF functionality and iOS and Android Tools functionality inline with version 6.8.7 of the iOS and Android SDKs. More information can be found on [What's New for iOS](/ios/guides/changelog.md) and [What's New for Android](/android/changelogs/version-6/v6-8-7.md).

## Xamarin.Android

### New features

* [`SoundCreate`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.SoundCreate.html) tool for creating sound annotations

`<uses-permission android:name="android.permission.RECORD_AUDIO" />` permission required

* New [`FileAttachmentCreate`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.FileAttachmentCreate.html) tool for creating file attachment annotations
* New API [ToolManager.DisableAnnotEditing](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.ToolManager.html#pdftron_PDF_Tools_ToolManager_DisableAnnotEditing_Java_Lang_Integer___) to disable annotation editing by annotation type

## Xamarin.iOS

### New features

* New [`ToolManager`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManager.html) APIs to selectively disable tools based on the [annotation type](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManager.html#pdftron_PDF_Tools_ToolManager_SetPermissionsForExtendedAnnotType_pdftron_PDF_PTExtendedAnnotType_System_Boolean_System_Boolean_) or [functionality](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManager.html#pdftron_PDF_Tools_ToolManager_SetPermissionForInteractionToolType_pdftron_PDF_PTInteractionToolType_System_Boolean_).

For example, to disable text highlight tool and ink tool:

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
mToolManager.SetPermissionsForExtendedAnnotTypeCanCreate(pdftron.PDF.PTExtendedAnnotType.Highlight, false);
mToolManager.SetPermissionsForExtendedAnnotTypeCanCreate(pdftron.PDF.PTExtendedAnnotType.Ink, false);
```

{% endcode %}
{% endtab %}
{% endtabs %}

Or, to disable link following:

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
mToolManager.SetPermissionForInteractionToolType(pdftron.PDF.PTInteractionToolType.LinkFollowing, false);
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/changelogs/version-6/v6-8-7.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
